6.0.0-git
2019-03-18

[#14243] Limit check spelling languages to available dictionaries
Summary Limit check spelling languages to available dictionaries
Queue IMP
Queue Version 6.2.12
Type Enhancement
State Rejected
Priority 1. Low
Owners
Requester aaronp (at) critd (dot) com
Created 2016-02-04 (1138 days ago)
Due
Updated 2016-02-12 (1130 days ago)
Assigned
Resolved 2016-02-12 (1130 days ago)
Milestone
Patch No

History
2016-02-12 20:10:39 aaronp (at) critd (dot) com Comment #3 Reply to this comment
Ah, I was not aware of this and so this was very helpful.

I still wonder if this could be made better somehow by automating this 
process. Maybe something on the IMP test.php page that runs an "aspell 
dicts" to get a list of installed dictionaries and recommends changes 
to the nls.local.php file?
2016-02-12 10:44:35 Jan Schneider Comment #2
State ⇒ Rejected
Reply to this comment
You can override the list in the 'spelling' setting of 
horde/config/nls.local.php.
2016-02-04 20:08:43 aaronp (at) critd (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Limit check spelling languages to available dictionaries
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
I only have one Aspell dictionary installed (en_US), yet IMP still 
allows our users to select other languages for spell checking. None of 
the spell check language selections will work for them except en_US, 
so I'd prefer to be able to limit that list to only the dictionaries 
that I support.

Saved Queries